

# OSI模型

### 1、物理层

1. **传输介质分类**

   - 无线介质：无线电……
   - 有线介质：网线（双绞线）、光纤

2. **双绞线分类**

   1. 功能分类：非屏蔽（UTP） 、屏蔽（STP）

   2. 性能分类

      > 五类cat5: 适用于100 Mbps
      >
      > 超五类cat5e: 适用于1 Gbps
      >
      > 六类cat6：适用于1 Gbps
      >
      > 七类cat7:适用于10 Gbps(带有屏蔽功能)
      >
      > > 注：双绞线传输距离控制在100米范围内 

   3. 网线线序

      - T568A：白绿 绿 白橙 蓝 白蓝 橙 白棕 棕 
      - T568B：白橙 橙 白绿 蓝 白蓝 绿 白棕 棕

      > 直连线： 一根网线的两端都是568A或两端都是568B的线序早期连接不同设备（ PC—交换机） 
      >
      > 交叉线：一根网线一端是568A，一端是568B 早期 连接相同设备 
      >
      > 全反线：一根网线两端线序完全相反（不用于局域网组建，用于连接交换或路由console口另端连接主机usb口进行本地访问控制）

      > 主机直接连接路由器使用交叉线
      >
      > 交换机与交换机相连使用交叉或直连，一般使用交叉

   4. 光纤分类

      - 单模光纤：窄芯、长距离传输
      - 多模光纤：宽芯、短距离传输

   5. 项目实施常用工具

      - 网线钳
      - 测试线/寻线仪
      - 光纤测试仪
      - 光纤切割刀
      - 熔纤机

      > 红光笔：光纤故障检测功能,其中包含检测光纤连通性及光纤断裂、弯曲等故障点定位。

   6. 网线制作

      1. 去线皮
      2. 排线（从左到右）
      3. 剪齐
      4. 装水晶接头（金手指面向自己，将线装到水晶头的顶端）
      5. 压接

### 2、数据链路层

1. **MAC地址概述**

   - MAC地址，即以太网地址，用来标识一个以太网上的某个单独设备或一组设备
   - 长度：48个bit（6个字节）
     组成：24个bit的厂商标识+24个bit的网卡编号

   > MAC地址的第8位为0 表示单播地址（每一个物理网卡都有一个全球唯一的MAC地址）
   >
   > MAC地址的第8位为1 表示组播地址
   >
   > 48位都为1 表示广播地址
   >
   > 表示方式：使用12位的16进制数表示的 如：98-FA-9B-EE-AA-04

2. **帧格式**

   ![image-20240823175025852](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20240823175025852.png)

   - 以太网帧的数据长度范围46-1500 字节 （净重）
   - 以太网帧的长度范围（64-1518）字节 （毛重）

3. **什么是冲突域**

   1. 在一个网络范围内发送数据时会产生冲突的区域就是冲突域
   2. 冲突是以太网致命故障，导致信号冲突，数据损坏、丢失、数据传输慢

4. **接口双工模式**

   1. 单工模式

      > 传输数据的信道只有一个，只能接收数据，不能回复数据（类似BB机）

   2. 半双工模式

      > 传输数据的信道只有一个，可以接收数据，也可以回复数据，但是不能同时进行（类似：对讲机）

   3. 全双工模式

      > 传输数据的信道有两个，接口可以在同一时刻接收数据和发送数据；（类似：电话）

5. **通过什么设备来分割冲突域**

   - 交换机

     > 把多台电脑连接在一-起的设备，组建局域网的主要设备 交换机的每一个接口有专门的数据信道来为用户转发数据； 交换机分割冲突域，实现全双工。

6. **交换机工作过程**

   1. `学习`：学习数据帧源MAC地址，生成MAC地址表，并将源MAC地址和对应的接口号写入MAC地址表
   2. `广播`：向除接收接口之外的所有接口广播未知目标MAC地址
   3. `转发`：根据MAC地址表转发数据帧
   4. `更新`：端口对应主机MAC地址发生变化重新学习（MAC地址表中记录生存时间为300秒）

7. **查看MAC地址表**

   - `display mac-address`

   ![image-20240823175337509](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20240823175337509.png)

   ```
   <Huawei>display mac-address
   MAC address table of slot 0:
   -------------------------------------------------------------------------------
   MAC Address    VLAN/       PEVLAN CEVLAN Port            Type      LSP/LSR-ID  
                  VSI/SI                                              MAC-Tunnel  
   -------------------------------------------------------------------------------
   5489-9802-3b6e 1           -      -      GE0/0/1         dynamic   0/-         
   5489-9886-7447 1           -      -      GE0/0/2         dynamic   0/-         
   5489-9899-2a4a 1           -      -      GE0/0/3         dynamic   0/-         
   -------------------------------------------------------------------------------
   
   ```

8. **案例实验**

   PC1访问PC4，MAC地址表学习结果如下：

   ![image-20240823175514335](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20240823175514335.png)

   ```
   <SW1>display mac-address
   MAC address table of slot 0:
   -------------------------------------------------------------------------------
   MAC Address    VLAN/       PEVLAN CEVLAN Port            Type      LSP/LSR-ID  
                  VSI/SI                                              MAC-Tunnel  
   -------------------------------------------------------------------------------
   5489-9802-3b6e 1           -      -      GE0/0/1         dynamic   0/-         
   5489-9875-353e 1           -      -      GE0/0/3         dynamic   0/-        
   -------------------------------------------------------------------------------
   ```

   ```
   <SW2>display mac-address 
   MAC address table of slot 0:
   -------------------------------------------------------------------------------
   MAC Address    VLAN/       PEVLAN CEVLAN Port            Type      LSP/LSR-ID  
                  VSI/SI                                              MAC-Tunnel  
   -------------------------------------------------------------------------------
   5489-9802-3b6e 1           -      -      GE0/0/3         dynamic   0/-         
   5489-9875-353e 1           -      -      GE0/0/2         dynamic   0/-        
   -------------------------------------------------------------------------------
   ```

9. **广播域**

   1. 什么是广播域

      > 能够接收到同样广播消息的网络节点的集合

   2. 广播域过大所带来的问题

      > 当同一个广播域内广播报文过多时，会对局域网造成干扰，导致网络延迟，网络拥塞（上网卡，上网慢），严重情况可以造成广播风暴，导致网络瘫痪，给网络的可靠性和安全性带来了严重挑战。

   3. 如何解决广播域

      > 利用vlan技术可用在交换机中分割广播域，实现广播报文的隔离。