# VLAN

### 一、VLAN LAN虚拟局域网

> 虚拟局域网（Virtual LAN，简称VLAN）是一种将物理上互连的网络在逻辑上划分为多个广播域的技术。通过VLAN，可以在一个物理网络上创建多个独立的逻辑网络，每个逻辑网络可以看作是一个单独的局域网。

### 二、为什么使用VLAN

- 交换机只能分割冲突域，但是不能分割广播域
- 随着交换机接口数量的增多，网络中广播增多，会降低网络的传输效率，可以使用VLAN技术分割这个大的广播域

### 三、VLAN作用

- 分割广播域（主要作用）
- 带宽利用、降低延迟、提高安全性

### 四、VLAN划分方式

1. 基于交换机接口的静态划分
2. 基于主机MAC地址的动态划分

### 五、VLAN的基本配置

1. 创建vlan

   ```
   [SW1]vlan  2 [2-4094]	//创建vlan
   ```

2. 查看vlan

   ```
   [SW1]display  vlan	//查看vlan信息
   ```

3. 删除vlan

   ```
   [SW1]undo  vlan  2	//删除vlan2
   ```

4. 创建多个vlan、删除多个vlan

   ```
   [SW1]vlan batch 10 20 30		//创建多个不连续的vlan
   [SW1]vlan batch 50 to 60		//创建多个连续的vlan
   [SW1]display  vlan 				//查看vlan信息
   [SW1]undo vlan batch 10 20 30 	//删除多个不连续vlan
   [SW1]undo vlan batch 50 to 60 	//删除多个连续vlan
   ```

### 六、端口加入vlan

1. **PVID**

   - PVID：port default VLAN ID，又称为缺省vlan，表示接口所属的vlan

     每个接口都有一个PVID，缺省情况，交换机所有的接口PVID都是1

2. **Access接口模式**

   - **工作场景**：通常用于交换机连接终端（主机或服务器）

   - **特点：**

     同时只能属于一个vlan

     接收数据帧时，若该帧不带vlan标签，用接口PVID数值做为标签，给数据帧打标签

     接收数据帧时，若该帧带vlan标签，判断vlan标签和本接口的PVID是否一致，一致接收数据，不一致则丢弃数据。

   > **注：标准以太网帧及带有****vlan** **标签的数据帧**
   >
   > 1）Vlan数据帧（标准）：目标地址+源地址+类型+数据+帧校验序列
   >
   > 2）VLAN数据帧：目的地址+源地址+【Vlan-Tag】+类型+数据+帧校验序列

3. **端口加入vlan**

   ```
   [SW1]vlan  2	//创建vlan2
   [SW1]interface GigabitEthernet0/0/1
   [S1-GigabitEthernet0/0/1]port link-type access		//接口模式配置为access模式
   [S1-GigabitEthernet0/0/1]port default vlan 2		//接口加入vlan2
   <S1>display vlan
   ```



**IP数据包格式**

![image-20240823181127936](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20240823181127936.png)